#include <QtGui>

#include "qtparammodal.h"
#include "qtparamprincipale.h"
#include "ui_qtparamprincipale.h"
#include "qtmesparametres.h"

QtParamModal::QtParamModal(QtMesParametres* params, QWidget *parent) :
    QDialog(parent), m_params(params)
{
    setWindowTitle(tr("Fentre modale")); // met titre de la fenetre
    setWindowIcon(QIcon(":/Ressources/R2D2.ico")); // Icone de la fenetre declar dans le fichier resource.
    QPushButton *param1Button = new QPushButton(tr("&Valider Param1"));
    textLabelParam1 = new QLabel(tr("Param1 :"));
    m_paramEdit = new QLineEdit();
    m_paramEdit->setText(m_params->getParam1());
    connect(param1Button, SIGNAL(clicked()), this, SLOT (validClicked()));

    QGridLayout *mainLayout = new QGridLayout;
    mainLayout->setSizeConstraint(QLayout::SetNoConstraint);
    mainLayout->addWidget(textLabelParam1, 0, 0);
    mainLayout->addWidget(m_paramEdit, 0, 1);
    mainLayout->addWidget(param1Button, 0, 2);
    setLayout(mainLayout);
}

QtParamModal::~QtParamModal()
{
}

void QtParamModal::validClicked()
{
    m_params->setParam1(m_paramEdit->text());
    close();
}
